<?php 
error_reporting(0);
$ObjCompCotID = $_GET["ObjCompCotID"];
$Parametro = $_GET["Parametro"];

require_once("bd/cotizaciones/cotizaciones.php");
$cotizaciones = new cotizaciones();
$objConcepto = $cotizaciones->obtenerConceptoParametroName($ObjCompCotID,$Parametro);

$concepto = "";
if (sizeof($objConcepto) > 0) {
	$JncObjCompParID_FK = $objConcepto[0]["JncObjCompParID_FK"];
	if ($objConcepto[0]["Opciones"] || $objConcepto[0]["Query"]) {
		if ($objConcepto[0]["Opciones"]) {
			$explode_opciones = explode(";", $objConcepto[0]["Opciones"]);
			$concepto = "<option value=''>-- Selecciona parámetro2 --</option>";
			for ($i=0; $i < sizeof($explode_opciones); $i++) {
				$contOpcion = ($i + 1);
				$opcion = $explode_opciones[$i];
				$concepto .= "<option value='$contOpcion'>$opcion</option>";
			}
		}
		if ($objConcepto[0]["Query"]) {
			$cotizaciones = new cotizaciones();
			$consultaMateriales = $cotizaciones->ejecutarConsulta($objConcepto[0]["Query"]);
			$concepto = "<option value=''>-- Selecciona parámetro --</option>";
			for ($i=0; $i < sizeof($consultaMateriales); $i++) { 
				$MatID = $consultaMateriales[$i]["MatID"];
				$Material = $consultaMateriales[$i]["Material"];

				$concepto .= "<option value='$MatID'>$Material</option>";
			}
		}
	}
}
echo $concepto;
?>